Use this API to create payment link transaction for your user
Endpoint:
[Production] POST https://partner.rem.id/api/payment-checkout/create-v2
[Staging] POST https://api-demo.rem.id/api/payment-checkout/create-v2
Request
Response
{
"partner_tx_id": "string",
"description": "string",
"notes": "string",
"sender_name": "string",
"amount": 10000,
"email": "string",
"phone_number": "string",
"is_open": true,
"include_admin_fee": true,
"list_disabled_payment_methods": "BANK_TRANSFER,EWALLET",
"list_enabled_banks": "002",
"expiration": "2025-12-31 23:59:59",
"va_display_name": "string"
}{
"status": true,
"url": "string",
"payment_link_id": "string",
"message": "string",
"email_status": "string"
}{
"status": {
"code": "500",
"message": "Internal server error"
}
}Once user successfully do the payment, our system will make a callback via HTTP POST request to your system
Callback for Delayed Settlement (Non-Real Time Settlement)
If your settlement is non-real time, for every transaction whose payment method is settled H+>0 from the time of transaction, you will receive two callbacks with details as follows:
1st Callback -> To be sent after your customer successfully executes the transaction. For example, if your customer executes the transaction on 11 May 2021 at 14:00:00, that is also when we send the 1st Callback to you. In the 1st callback, the settlement status is set to WAITING (because it is not yet settled to your Account Statement balance)
2nd Callback -> To be sent after the settlement status is changed from WAITING into SUCCESS. For example, if the settlement status is changed into SUCCESS on 12 May 2021 at 15:00:00, that is also when we send the 2nd Callback to you. In the 2nd callback, the settlement status is SUCCESS
Callback Parameters
{
"partner_tx_id": "string",
"tx_ref_number": "string",
"amount": 0,
"sender_name": "string",
"sender_phone": "string",
"sender_note": "string",
"status": "string",
"sender_bank": "string",
"payment_method": "string",
"settlement_type": "string",
"created": "2019-08-24T14:15:22Z",
"updated": "2019-08-24T14:15:22Z",
"payment_received_time": "2019-08-24T14:15:22Z",
"description": "string",
"payment_reference_number": "string",
"expiration": "2019-08-24T14:15:22Z",
"due_date": "2019-08-24T14:15:22Z",
"email": "string",
"paid_amount": 0,
"settlement_time": "2019-08-24T14:15:22Z",
"settlement_status": "string"
}An endpoint to Delete Payment Link based on payment_link_id or partner_tx_id that is still active and a payment method has not been selected.
Endpoint:
[Production] DELETE https://partner.rem.id/api/payment-checkout/{payment_link_id/partner_tx_id}
[Staging] DELETE https://api-demo.rem.id/api/payment-checkout/{payment_link_id/partner_tx_id}
Path Parameters
Response
{
"status": true,
"message": "string"
}{
"status": {
"code": "500",
"message": "Internal server error"
}
}An endpoint to get payment data.
Endpoint:
[Production] GET https://partner.rem.id/api/payment-checkout/{payment_link_id/partner_tx_id}
[Staging] GET https://api-demo.rem.id/api/payment-checkout/{payment_link_id/partner_tx_id}
Path Parameters
Response
{
"partnerTxId": "string",
"paymentLinkId": "string",
"amount": 0,
"username": "string",
"senderName": "string",
"senderPhoneNumber": "string",
"senderNotes": "string",
"status": "string",
"txRefNumber": "string",
"description": "string",
"isOpen": true,
"notes": "string",
"email": "string",
"includeAdminFee": true,
"listDisabledPaymentMethods": "string",
"listEnabledBanks": "string",
"expirationTime": "2019-08-24T14:15:22Z",
"due_date": "2019-08-24T14:15:22Z"
}{
"status": {
"code": "500",
"message": "Internal server error"
}
}An endpoint to retrieve and/or re-send the latest callback status of a transaction.
Endpoint:
[Production] GET https://partner.rem.id/api/payment-checkout/status?partner_tx_id={partner_tx_id}&send_callback={true/false}
[Staging] GET https://api-demo.rem.id/api/payment-checkout/status?partner_tx_id={partner_tx_id}&send_callback={true/false}
Path Parameters
Response
{
"partner_tx_id": "string",
"tx_ref_number": "string",
"amount": 0,
"sender_name": "string",
"sender_phone": "string",
"sender_note": "string",
"status": "string",
"payment_received_time": "2019-08-24T14:15:22Z",
"settlement_type": "string",
"sender_bank": "string",
"payment_method": "string",
"created": "2019-08-24T14:15:22Z",
"description": "string",
"payment_reference_number": "string",
"paid_amount": 0,
"expiration": "2019-08-24T14:15:22Z",
"due_date": "2019-08-24T14:15:22Z",
"updated": "2019-08-24T14:15:22Z",
"email": "string",
"settlement_time": "2019-08-24T14:15:22Z",
"settlement_status": "string"
}{
"status": {
"code": "500",
"message": "Internal server error"
}
}